Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class ColumnHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.DesignElementHandle
          org.eclipse.birt.report.model.api.ReportElementHandle
              org.eclipse.birt.report.model.api.ColumnHandle

All Implemented Interfaces:
  org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel, org.eclipse.birt.report.model.elements.interfaces.ITableColumnModel

    public class ColumnHandle

extends ReportElementHandle
implements org.eclipse.birt.report.model.elements.interfaces.ITableColumnModel

Represents a column within a table. The application generally does not create column handles directly. Instead, it uses one of the navigation methods available on other element handles like: `TableHandle`.

See Also:
  `TableHandle.getColumns()`, `TableColumn`

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`element`

Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`module`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.ITableColumnModel
`REPEAT_PROP, STYLE_PROP, SUPPRESS_DUPLICATES_PROP, VISIBILITY_PROP, WIDTH_PROP`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel
`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

Constructor Summary
`ColumnHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)` Constructs a handle for the given design and a column element.

Method Summary
`java.lang.String` | `getAlignment()` Deprecated. by the `StyleHandle.getTextAlign()`
`int` | `getRepeatCount()` Returns the repeat count for this column.
`DimensionHandle` | `getWidth()` Gets the column width as a dimension handle.
`void` | `setAlignment(java.lang.String alignment)` Deprecated. by the `StyleHandle.setTextAlign(String)`
`void` | `setRepeatCount(int count)` Sets the repeat count for this column.
`void` | `setSuppressDuplicates(boolean suppressDuplicates)` Set the suppress duplicates property of this column.
`boolean` | `suppressDuplicates()` Get the suppress duplicates property of this column.
`java.util.Iterator` | `visibilityRulesIterator()` Returns visibility rules defined on the table column.

Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExpressionProperty, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setBooleanProperty, setEncryption, setEventHandlerClass, setExpressionProperty, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColumnHandle

    public ColumnHandle(org.eclipse.birt.report.model.core.Module module,
                        org.eclipse.birt.report.model.core.DesignElement element)

  Constructs a handle for the given design and a column element. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

  Parameters:
    `module` - the module
    `element` - the column element

Method Detail

### getRepeatCount

    public int getRepeatCount()

  Returns the repeat count for this column. The repeat count is the number of contiguous table or grid columns described by this column definition. It simplifies the design because one column definition can describe a group of adjacent columns.

  Returns:
    the number of contiguous columns described by this column definition

### setRepeatCount

    public void setRepeatCount(int count)
                        throws SemanticException

  Sets the repeat count for this column.

  Parameters:
    `count` - the number of contiguous columns described by this column definition
  Throws:
    `SemanticException` - if the property is locked.
  See Also:
    `getRepeatCount()`

### getWidth

    public DimensionHandle getWidth()

  Gets the column width as a dimension handle.

  Returns:
    a dimension handle to for the column width.

### getAlignment

    public java.lang.String getAlignment()

  Deprecated. by the `StyleHandle.getTextAlign()`

  Gets the column alignment.

  Returns:
    the column alignment

### setAlignment

    public void setAlignment(java.lang.String alignment)
                      throws SemanticException

  Deprecated. by the `StyleHandle.setTextAlign(String)`

  Sets the column alignment.

  Parameters:
    `alignment` - the alignment to set
  Throws:
    `SemanticException` - if the value is not in choice.

### suppressDuplicates

    public boolean suppressDuplicates()

  Get the suppress duplicates property of this column.

  Returns:
    a boolean value which indicates if this column is suppress duplicates.

### setSuppressDuplicates

    public void setSuppressDuplicates(boolean suppressDuplicates)

  Set the suppress duplicates property of this column.

  Parameters:
    `suppressDuplicates` - the suppress duplicates value.

### visibilityRulesIterator

    public java.util.Iterator visibilityRulesIterator()

  Returns visibility rules defined on the table column. The element in the iterator is the corresponding `StructureHandle` that deal with a `HideRuleHandle` in the list.

  Returns:
    the iterator for visibility rules.
  See Also:
    `HideRule`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.